Broadcast Transaction
curl --request POST \
--url https://api.adamik.io/api/{chainId}/transaction/broadcast \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": {
"data": {
"fees": "<string>",
"mode": "deployAccount",
"senderPubKey": "<string>",
"gas": "<string>",
"nonce": "<string>",
"memo": "<string>",
"params": "<unknown>",
"contractType": "argentx"
},
"encoded": [
{}
],
"signature": "<string>"
}
}
'import requests
url = "https://api.adamik.io/api/{chainId}/transaction/broadcast"
payload = { "transaction": {
"data": {
"fees": "<string>",
"mode": "deployAccount",
"senderPubKey": "<string>",
"gas": "<string>",
"nonce": "<string>",
"memo": "<string>",
"params": "<unknown>",
"contractType": "argentx"
},
"encoded": [{}],
"signature": "<string>"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction: {
data: {
fees: '<string>',
mode: 'deployAccount',
senderPubKey: '<string>',
gas: '<string>',
nonce: '<string>',
memo: '<string>',
params: '<unknown>',
contractType: 'argentx'
},
encoded: [{}],
signature: '<string>'
}
})
};
fetch('https://api.adamik.io/api/{chainId}/transaction/broadcast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": "algorand",
"hash": "<string>"
}Transaction
Broadcast Transaction
Broadcasts a signed transaction to the blockchain, crucial for submitting transactions like transfers, delegations, or reward claims. Returns a transaction receipt (hash) or error details.
Note: the exact same ‘data’ and ‘encoded’ fields that were retrieved with the /transaction/encode endpoint, must be provided here.
POST
/
api
/
{chainId}
/
transaction
/
broadcast
Broadcast Transaction
Authorizations
Path Parameters
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, litecoin, dogecoin, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet, stellar, stellar-testnet Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Returns a transaction receipt or error details if the transaction fails.
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, litecoin, dogecoin, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet, stellar, stellar-testnet Was this page helpful?